Subject: Re: bug#22013: python2 versions of packages failing as inputs

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 25 Nov 2015 23:00:28 +0100

Efraim Flashner <[email-masked]> writes:

> Guix build python2-cryptography builds fine, guix build python2-oauthlib
> rebuilds python2-cryptography, and fails to build. Python2-cryptography has
> an additional input of python2-ipaddress which doesn't get carried along when
> python2-cryptography is an input and not the final build.

I think that’s pretty normal.  We have the same situation in
‘python2-openssl’ where we have to explicitly add ‘python2-cryptography’
and remove ‘python-cryptography’.  This is also why any python2 variant
of a package with ‘python-numpy’ among its inputs has to be treated
specially.

It would, of course, be nice if package-with-python2 could handle this
automatically.

~~ Ricardo